# Mahmoud Elshenhab CV
As delivering a consistent updated copy of a CV became an issue for recruiters, I started to believe that reverting back to centralized source of such document is a must, thus when I saw a GitHub hosted CV for a friend of mine, I decided to follow the same Idea.
> **Thus you can find the latest updated CV in this [link](https://root.gurutux.com),
> then [download](http://api.html2pdfrocket.com/pdf?value=https://root.gurutux.com&apikey=9bfdd04b-e544-4782-a4ac-b54131031a51&FileName=MahmoudElshenhabCV.pdf&MarginLeft=10&MarginRight=10&MarginTop=15&MarginBottom=15) a PDF copy.**

## _Contact Information:_
- Name: Mahmoud Abdulmottaleb Elshenhab
- e-mail: [mahmoud.alshinhab@gmail.com](mailto:mahmoud.alshinhab@gmail.com)
- Phone: [+353 (86) 461 9975](tel:+353864619975)
- [Linkedin Profile](https://www.linkedin.com/in/Shenhab)
- Current Location: Ireland - Dublin
- Preferred Working Location: "Western Europe"

## _Summary:_
I am a System Development Engineer working in Amazon Web Services in Dublin. I have a very strong database background as I worked as a database support engineer specialized in MySQL, MariaDB, and Amazon Aurora-MySQL while I was in AWS Premium support. During this period I was also recognized as an RDS Expert within Amazon network. 
Currntly I am focusd on infrastruction and region build automation, helping my team and others to automate current build workflow, in order to reach zero touch build workflows. 
I am interested in Site Reliability Engineer roles, as I am pasionate about automation, troubleshooting, and bug fixing.

## _Education:_
- Degree: **Bachelor of computer sciences**
- School: [**Misr higher institution for commerce & computers**](https://www.facebook.com/METMISR/)
- Graduation Year: **2009**
- Accumulative Grade: **Good - 70.73%**

## _Working Experience:_ 
### - System Development Engineer in [Amazon Web Services](https://aws.amazon.com/): 
>**Description:** 
>- Automating region build for mandatory networking services of AWS, with the goal of reaching zero touch region builds.
>
>**Responsibilities:**
>- Part of on-call rotation
>- Owning production fleets and responsible of maintaining the service, and improving the quality of the service.
>- Focused on automating deployments for different services across AWS to improve the new region builds.
>- Maintaining current software by fixing issues/bugs, developing new features, and enhancing the automation arount the owned services.
>
>**Working Period:**
>- System Development Engineer: (Title Change) December 2019 - Current
>- System Engineer I: (Internal Transfer) May 2018 - November 2019
>
>**Specialty:** Systems Transformation and Deployment Automation.
>
>**Expertise:**
>- Ruby (Learning in progress)
>- Python
>- Puppet
>- Software Debugging
>- System Developing
>- Services Archeticture
>- Monitoring
>- Dashboarding
>
>**Achievements:**
>1. Fixed a bug of a software that used Gossip protocol to monitor fleets.
>1. is an expert in automating patching workflows across multible teams.
>
>**Projects:** 
>1. Enhancing patching automation for several fleets (across several teams).
>1. owning a fleet of bastions, and developing it to reach zero touch build workflows.

### - Cloud Support Engineer in [Amazon Web Services](https://aws.amazon.com/): 
>**Description:** Supporting “Amazon Web Services’ Enterprise customers” to solve their infrastructure problems through mail, chat, or Phone calls and recommending the best ways to assist them in achieving their aim maintaining the best possible Performance and the minimal price.
>
>**Achievements:**
>1. RDS Subject Matter Expert.
>2. Assisted several customer to migrate to and from “Aurora, MySQL, and MariaDB” databases over several regions minimizing the downtime to 5 minutes at MAX.
>2. Deeply investigated failure root causes for the customers and the company.
>4. Worked directly with Amazon’s solution architects to provide best possible practices for the customer use cases focusing on high availability, Durability, and performance of the solution.
>5. Convinced several customer to use specific product over another based on their needs, workloads, features, and budget.
>6. Convinced several internal and external customers to redesign their applications to adjust the communication method between their application and the database which significantly optimized their workloads.
>7. Learned a lot more about Scalable, Distributed, and Highly Available Solution.
>8. Created bash and python scripts to assist customers automating their tasks.
>9. [Business Critical] Discovered “bugs” in the AWS internal workflows that affected thousands of customers and created scripts to automate the reproduction of the issue consistently to be investigated by the service team, that had to patch the whole RDS fleet.
>
>**Projects:** 
>- Designed and Implemented automated practical on Boarding training for MySQL, MariaDB, and Aurora Engines for new hires.
>- Mentoring and training 6 Engineer to the subject matter experts level.
>- Facilitating new hires training to develop the new hires to T enured engineers as fast as possible.
>
>**Working Period:**
>- Cloud Support Engineer II: (Promotion) October 2017 - April 2018 (7 Months)
>- Cloud Support Engineer I: November 2015 - September 2017 (1 year, 11 Months) 
>
>**Specialty:** Relational Database Services
>
>**Expertise:**
>- AWS (General)
>- RDS (Specialized)
>- MySQL
>- MariaDB
>- Amazon Aurora-MySQL


### - *NIX System Engineer in [Link Data Center](http://www.linkdatacenter.net/)
>**Description:** Provide Server Administration, doing some proofs of concepts and bench-marking to help the leadership planing and designing for projects.
>After that I implement the projects based on the leadership decisions.
>
>**Achievements:**
>1. Changed the company hosting solution to use NginX instead of Apache.
>2. Used Lsyncd (RSync Deamon) to create a distributed media hosting solution instead of using NAS or SAN solutions to avoid single points of failure and high costs.
>3. Created Bash script to automatically migrate DNS Zones from Windows DNS servers into Bind in a project to migrate the companies customers' name servers to Linux.
>4. Created bash scripts to monitor the Lsyncd service, and trigger an alarm in case of any failure.
>5. Setup a highly available MySQL “Active-Active” Binary log replication to provide high availability for the database and avoid slow performance of the synchronous replication systems.
>6. Learned how to integrate different services together to produce highly available, scalable, and high performing solutions.
>
>**Projects:** Building and maintaining **msnarabia.com** which used to handle more than 7 million hits a day.
>
>**Working Period:**
>- March 2012 - October 2014 (2 years and 10 Months)
>
>**Specialty:** Web Hosting on Linux
>
>**Expertise:**
>- MySQL
>- Linux
>- NginX
>- Apache
>- SMTP-Gated
>- Bind
>- Word-Press
>- Varnish

### - System Administrator in [International Turnkey Systems](https://www.its.ws/)
>**Description:** Provide Server Administration for Microsoft Windows, Linux(VMware ESX), MS SQL Server, and SYBASE Adaptive Server
>
>**Achievements:**
>1. Created a centralized backup solution to automatically backup All the database Servers and rotate these backup using Bash and powershell scripts.
>
>**Working Period:**
>- October 2011 - March 2012 (6 Months)
>
>**Specialty:** Database Administration
>
>**Expertise:**
>- MS SQL Server
>- Sybase
>- PowerShell
>- Bash
>- ESX

## _Certificates:_ 
### - Cloud Computing Concepts (Part 1)
> - Issuer: 			University of Illinois at Urbana-Champaign
> - Issue Date: 		March 17, 2015
> - Technologies Used:
> - Certificate ID: 	[4LVSBUDRWC](https://www.coursera.org/account/accomplishments/certificate/4LVSBUDRWC)

### - Cloud Computing Concepts (Part 2)
> - Issuer: 			University of Illinois at Urbana-Champaign
> - Issue Date: 		April 27, 2015
> - Technologies Used:
> - Certificate ID: 	[48W63NBRVF](https://www.coursera.org/account/accomplishments/certificate/48W63NBRVF)

### - Introduction to computer science and programming using Python
> - Issuer: 			MITx
> - Issue Date: 		March 17, 2017
> - Technologies Used:Python 3.5, Linux
> - Certificate ID: 	[05a576b4853640b0bfe7b9b221a9fd5d](https://courses.edx.org/certificates/05a576b4853640b0bfe7b9b221a9fd5d)

### - RH202 Red Hat Enterprise Linux 5 combined RHCT/RHCE
> - Issuer:			Red Hat
> - Issue Date: 		Apr 16, 2009
> - Technologies Used:RedHat Enterprise Linux 5
> - Certificate ID: 	[100-108-729](https://www.redhat.com/rhtapps/certification/verify/?certId=100-108-729+)

### - EX200 RHCSA
> - Issuer:			Red Hat
> - Issue Date: 		Apr 16, 2009
> - Technologies Used:Red Hat Enterprise Linux 5
> - Certificate ID: 	[100-108-729](https://www.redhat.com/rhtapps/certification/verify/?certId=100-108-729+)
